<template>
<div class="cardTool tool" @click="openModal" v-show="hover">
    <BIconCardList font-scale="1.5" />
    <span>編輯商品</span>
</div>
</template>

<script>
import {
    BIconCardList
} from "bootstrap-vue";
export default {
    props: {
        index: {
            type: [String, Number],
            default: "",
        },
    },
    data() {
        return {
            hover: false,
        };
    },
    components: {
        BIconCardList,
    },
    methods: {
        openModal() {
            this.$bvModal.show(`edit_product_modal_gallery_${this.index}`);
        },
    },
    mounted() {
        this.$root.$on("boolean::hover::product_card" + this.index, (b) => {
            this.hover = b;
        });
    },
};
</script>

<style lang="scss">
.cardTool {
    cursor: pointer;
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: absolute;
    width: 120px;
    left: 50%;
    top: -20px;
    padding: 5px 10px;
    transform: translateX(-50%);
    border: 1px solid rgba($color: #dddddd, $alpha: 0.5);
    background-color: white;
    z-index: 10;
    transition: all 0.3s ease-in;
}
</style>
